List of Options
Prev | Chapter 2. Usage | Next

## List of Options

The complete list of available options to GPSBabel can be obtained by running gpsbabel -h . While there are a number of options, most people will not use most of them, so don't be intimidated.

`-p` Read preferences file. On startup, GPSBabel will look for a file named `gpsbabel.ini` containing preferences you have provided. This option lets you pick a different files. See the section called “Working with predefined options” for more info.

`-s` Write "smart" names. This option influences some - but not all - of our writers to try to build "smart" waypoint names. For example, in modules that know about geocaching, it may replace "GC1234" with the actual name of the geocache.

`-r` Work on routes. This option has a subtly different meaning in different cases. As the very first formats in GPSBabel were for serial GPSes and routes and tracks were large and thus time-consuming to transfer, the default was waypoints only with this option to turn on the extra data. Some of our file formats use this option to mean "work only on routes, even if you have tracks/waypoints", but we're trying to discourage that behavior and in most cases, consider it a bug.

`-t` Work on tracks. See `-r` for usage.

`-w` Work on waypoints. This is the default.

`-T` Enable Realtime tracking. This option isn't supported by the majority of our file formats, but repeatedly reads location from a GPS and writes it to a file as described in the section called “Realtime tracking”

`-b` Process batch file. In addition to reading arguments from the command line, we can read them from files containing lists of commands as described in the section called “Batch mode (command files)”

`-x` `filter` Run filter. This option lets use use one of of our many data filters. Position of this in the command line does matter - remember, we process left to right.

`-D` Enable debugging. Not all formats support this. It's typically better supported by the various protocol modules because they just plain need more debugging. This option may be followed by a number. Zero means no debugging. Larger numbers mean more debugging.

`-h`, `-?` Print help.

`-V` Print version number.

Prev | Up | Next
Batch mode (command files) | Home | Chapter 3. The Formats